#include <stdio.h>
#include <stdlib.h>
#include <wiringPi.h>


int main (int argc, char** argv)
{
	// Déclaration des variables pour le programme
    char i;
    char EtatIO=0;

/* Test du mode "root". Si pas identifié
en mode "root", alors affichage d'un message d'erreur */
      if(getuid()!=0) //wiringPi requires root privileges
      {
        printf("Error:wiringPi must be run as root.\n");
        return 1;
      }
/* Configuration des bibliotheques WPi
   afin d'utiliser la numérotation des
   GPIO selon les numéros WPi.
   Si la bibliothèque ne s'initialise pas,
   affichage d'un message d'erreur*/
      if(wiringPiSetup()==-1)
      {
        printf("Error:wiringPi setup failed.\n");
        return 1;
      }
	// Broche WPi 1 en sortie
	pinMode(1,OUTPUT);
	// Broche WPi 0 en sortie
	pinMode(0,OUTPUT);

// Boucle de clignotement de la LED sur sortie 1
// 5 fois avec une pause de 500ms
    for(i=0; i < 10; i++)
    {
        EtatIO = !EtatIO;
        digitalWrite(1,EtatIO);
        delay(500);
    }
// Boucle de clignotement de la LED sur sortie 0
// 10 fois avec une pause de 1s
    for(i=0; i < 20; i++)
    {
        EtatIO = !EtatIO;
        digitalWrite(0,EtatIO);
        delay(1000);
    }

    return 0;
}
